#
# spec file for package bandwidth
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bandwidth
Version:        1.11.2b
Release:        1.8
Summary:        Memory and network benchmark program
License:        GPL-2.0-only
Group:          System/Benchmark
URL:            https://zsmith.co/bandwidth.php
Source:         https://zsmith.co/archives/%{name}-%{version}.tar.gz
BuildRequires:  nasm
ExclusiveArch:  x86_64

%description
bandwidth is an artificial benchmark primarily for measuring memory bandwidth
on x86 and x86_64 based computers, useful for identifying weaknesses in a
computer's memory subsystem, in the bus architecture, in the cache architecture
and in the processor itself.

%prep
%setup -q

%build
%ifarch x86_64
%make_build bandwidth64 CFLAGS="%{optflags}"
mv bandwidth64 %{name}
%endif

%install
install -Dsm 755 %{name} %{buildroot}/%{_bindir}/%{name}

%files
%license GPL.txt
%doc README.txt
%{_bindir}/%{name}

%changelog
* Fri Apr 29 2022 Martin Liška <mliska@suse.cz>
- Update to 1.11.2b:
  * Built binary does not have executable stack.
* Wed Apr 27 2022 Martin Liška <mliska@suse.cz>
- Update to 1.11.2:
  * AVX-512 support. Improved fonts. Fixed Win64/Cygwin support.
  * ARM64 (AArch64) support and improved ARM32 (AArch32) support.
- Drop i586 architecture.
* Mon Sep 14 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 1.9.4:
  * Removed unfinished AVX512 code that was causing a crash
    on Xeon CPUs.
* Tue Oct 22 2019 Martin Pluskal <mpluskal@suse.com>
- Enforce usage of CFLAGS
* Tue Oct 22 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 1.9.3
  * no changes, bugfix release only
* Tue Oct  8 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 1.9.1
  * More object-oriented improvements.
  * Separated object-oriented C (OOC) from bandwidth app.
- Use HTTPS URL
- Drop patch:
  * bandwidth-fix-cflags.diff
* Wed Jan 10 2018 mardnh@gmx.de
- Update to version 1.5.1
  - Fixed crashing bug
* Thu Nov  9 2017 mardnh@gmx.de
- Update to version 1.5
  - Fixed AVX bug.
  - Added --nice mode
* Sun Jun 18 2017 mardnh@gmx.de
- Update to version 1.4.2
  - Upstream does not provide a Changelog
* Thu May 11 2017 mpluskal@suse.com
- Enable arm as well
* Thu May 11 2017 mardnh@gmx.de
- update to version 1.4
- fix source url
* Sat Jul 30 2016 mardnh@gmx.de
- update to version 1.3.1
  * Added CSV output. Updated ARM code for Raspberry π 3.
- update to version 1.2
  * Added ARM code back in.
- remove broken source URL
- add patch: bandwidth-fix-cflags.diff for proper cflags handling
* Mon Sep 21 2015 mardnh@gmx.de
- set ExclusiveArch:  %%ix86 x86_64
* Thu Feb  5 2015 mardnh@gmx.de
- update to version 1.1b
